<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '../../common/meta';
import {
  SummitCarousel,
  SummitCopy,
  SummitHero,
} from '../../components/events/index.vue';
import { Faq } from '../../components/common/index.vue';

import { CONTENT_TYPES } from '~/common/content-types';
import { getClient } from '~/plugins/contentful.js';
import { SummitData, summitHelper } from '~/services/events/summit.service';

export default Vue.extend({
  components: {
    Faq,
    SummitCarousel,
    SummitCopy,
    SummitHero,
  },
  layout: 'summit-navigation',
  nuxtI18n: false,
  async asyncData() {
    const content = await getClient()
      .getEntries({
        content_type: CONTENT_TYPES.EVENT,
        include: 10,
        'sys.id': '2nZ6gcZaMvhcUKXd1jpTTP',
      })
      .then((query: any) => {
        const entryFields: SummitData = query.items[0]?.fields;
        return summitHelper(entryFields);
      })
      .catch(console.error);
    return { content };
  },

  head() {
    return getPageMetadata((this as any).content.metadata, this.$route.path);
  },
});
</script>

<template>
  <div class="summit_page">
    <SummitHero :data="content.hero" :date="content.date" />
    <SummitCopy :data="content.blurb" :background="`purple-background`" />
    <SummitCarousel :data="content.carousel" />
    <section :id="content.faq.id" class="slp-bg-surface-800">
      <Faq :data="content.faq" :has-jump-down="false" />
    </section>
    <SummitCopy :data="content.questions" />
  </div>
</template>

<style lang="scss">
.summit_event_page {
  overflow-x: hidden;
  position: relative;

  #goal {
    .slp-container {
      div {
        padding-bottom: 0 !important;
      }
    }
  }
}
</style>
